CoreCommonUtil.h
#ifndef GPGFRONTEND_CORECOMMONUTIL_H
#define GPGFRONTEND_CORECOMMONUTIL_H
#include "core/GpgFrontendCore.h"
namespace GpgFrontend {
class GPGFRONTEND_CORE_EXPORT CoreCommonUtil : public QObject {
Q_OBJECT
public:
static CoreCommonUtil *GetInstance();
CoreCommonUtil() = default;
signals:
void SignalGnupgNotInstall();
private:
static std::unique_ptr<CoreCommonUtil> instance_;
};
} // namespace GpgFrontend
#endif // GPGFRONTEND_CORECOMMONUTIL_H
GpgFrontend::CoreCommonUtil::GetInstance
static CoreCommonUtil * GetInstance()
Construct a new Core Common Util object.
Definition: CoreCommonUtil.cpp:33
GpgFrontend
Definition: CoreCommonUtil.cpp:29
GpgFrontend::CoreCommonUtil
Definition: CoreCommonUtil.h:34